Note: This is the migration API reference for FAKE 5. The new (modularized) API documentation can be found here. If the API is already migrated you can check here if exists in a module. More information regarding the migration can be found here

OBSOLETE

This API is obsolete. There is no alternative in FAKE 5 yet. You can help by porting this module.

PermissionsHelper

Contains functions which allow to deal with permissions.

Functions and values

Function or valueDescription
isAdmin(identity)
Signature: identity:WindowsIdentity -> bool
Attributes:
[<Obsolete("This API is obsolete. There is no alternative in FAKE 5 yet. You can help by porting this module.")>]
OBSOLETE

This API is obsolete. There is no alternative in FAKE 5 yet. You can help by porting this module.

Returns whether the given user has administrator permissions.

Parameters

  • identity - The windows identity of the user in question.
requiresAdmin(f)
Signature: f:(unit -> '?10598) -> '?10598
Type parameters: '?10598 Attributes:
[<Obsolete("This API is obsolete. There is no alternative in FAKE 5 yet. You can help by porting this module.")>]
OBSOLETE

This API is obsolete. There is no alternative in FAKE 5 yet. You can help by porting this module.

Checks that the current user has administrator permissions - otherwise it throws an exception.

Parameters

  • f - This Function will be excuted if the use has the right permissions.

Sample

1: 
2: 
3: 
Target "Install" (fun _ -> 
     requiresAdmin (fun _ -> installMSI())
 )